Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# ACEXML_ErrorHandler Class Reference

ACEXML_ErrorHandler. More...

`#include <ACEXML/common/ErrorHandler.h>`

Inheritance diagram for ACEXML_ErrorHandler:

[legend]
List of all members.

## Public Member Functions
virtual | ~ACEXML_ErrorHandler (void)
virtual void | error (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))=0
virtual void | fatalError (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))=0
virtual void | warning (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))=0

## Detailed Description

ACEXML_ErrorHandler.

If a SAX application needs to implement customized error handling, it must implement this interface and then register an instance with the XML reader using the setErrorHandler method. The parser will then report all errors and warnings through this interface.

WARNING: If an application does not register an ErrorHandler, XML parsing errors will go unreported and bizarre behaviour may result.

For XML processing errors, a SAX driver must use this interface instead of throwing an exception: it is up to the application to decide whether to throw an exception for different types of errors and warnings. Note, however, that there is no requirement that the parser continue to provide useful information after a call to fatalError (in other words, a SAX driver class could catch an exception and report a fatalError).

## Constructor & Destructor Documentation

virtual ACEXML_ErrorHandler::~ACEXML_ErrorHandler | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void ACEXML_ErrorHandler::error | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | `[pure virtual]`

| Receive notification of a recoverable error. Implemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

virtual void ACEXML_ErrorHandler::fatalError | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | `[pure virtual]`

| Receive notification of a non-recoverable error. Implemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

virtual void ACEXML_ErrorHandler::warning | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | `[pure virtual]`

| Receive notification of a warning. Implemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

The documentation for this class was generated from the following file:

- ErrorHandler.h